<?php

namespace App\Entities;

class UserEntity extends BaseEntity
{
    protected $datamap = [];
    protected $dates   = ['created_at', 'updated_at', 'deleted_at'];
    protected $casts   = [];

    //기본기능
    public function getPrimaryKey()
    {
        return $this->attributes['uid'];
    }
    public function getTitle(): string
    {
        return $this->attributes['name'];
    }
    public function getStatus(): string
    {
        return $this->attributes['status'];
    }

    //추가기능
    public function getRole()
    {
        return $this->attributes['role'];
    }

    public function getPassword()
    {
        return $this->attributes['passwd'];
    }
}
